package com.flyfish.framework.domain;

import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.base.NameLikeQo;
import com.flyfish.framework.domain.po.Department;
import lombok.Getter;
import lombok.Setter;

/**
 * 部门（校区）查询实体
 *
 * @author wybab
 */
@Getter
@Setter
public class DepartmentQo extends NameLikeQo<Department> {

    private Boolean leaf;

    private Integer level;

    @Override
    public CriteriaBuilder<Department> criteriaBuilder() {
        return super.criteriaBuilder()
                .with("level", "leaf");
    }
}
