package com.flyfish.framework.domain;

import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.base.NameLikeQo;
import com.flyfish.framework.domain.po.Role;
import lombok.Getter;
import lombok.Setter;

/**
 * 角色查询实体
 *
 * @author wybab
 */
@Getter
@Setter
public class RoleQo extends NameLikeQo<Role> {

    private Boolean admin;

    private Boolean system;

    @Override
    public CriteriaBuilder<Role> criteriaBuilder() {
        return super.criteriaBuilder().with("admin", "system");
    }
}
